# -*- encoding: utf-8 -*-
# stub: resque-unique_at_runtime 4.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "resque-unique_at_runtime".freeze
  s.version = "4.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Peter H. Boling".freeze, "Jonathan R. Wallace".freeze]
  s.date = "2018-11-15"
  s.description = "Ensures that for a given queue, only one worker is working on a job at any given time.\n\nExample:\n\n  require 'resque/plugins/unique_at_runtime'\n\n  class StrictlySerialJob\n    include Resque::Plugins::UniqueAtRuntime\n\n    @queue = :serial_work\n\n    def self.perform\n      # only one at a time in this block, no parallelism allowed for this\n      # particular queue\n    end\n  end\n".freeze
  s.email = ["peter.boling@gmail.com".freeze, "jonathan.wallace@gmail.com".freeze]
  s.homepage = "http://github.com/pboling/resque-unique_at_runtime".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A resque plugin that ensures job uniqueness at runtime.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<colorize>.freeze, [">= 0.8"])
    s.add_runtime_dependency(%q<resque>.freeze, [">= 1.2"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<fakeredis>.freeze, ["~> 0.7"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.11"])
    s.add_development_dependency(%q<pry-byebug>.freeze, ["~> 3.6"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 3.0"])
    s.add_development_dependency(%q<rspec-block_is_expected>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rspec-stubbed_env>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.60"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 1.30"])
    s.add_development_dependency(%q<timecop>.freeze, [">= 0"])
  else
    s.add_dependency(%q<colorize>.freeze, [">= 0.8"])
    s.add_dependency(%q<resque>.freeze, [">= 1.2"])
    s.add_dependency(%q<byebug>.freeze, ["~> 10.0"])
    s.add_dependency(%q<fakeredis>.freeze, ["~> 0.7"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.11"])
    s.add_dependency(%q<pry-byebug>.freeze, ["~> 3.6"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<rspec>.freeze, [">= 3.0"])
    s.add_dependency(%q<rspec-block_is_expected>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rspec-stubbed_env>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.60"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 1.30"])
    s.add_dependency(%q<timecop>.freeze, [">= 0"])
  end
end
